Bug 1047628 - `yum group info` doesn't mark optional installed packages within group
Summary: `yum group info` doesn't mark optional installed packages within group
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-01 08:16 UTC by abyss.7
Modified: 2015-06-29 14:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:00:48 UTC
Type: Bug


Attachments (Terms of Use)

Description abyss.7 2014-01-01 08:16:57 UTC
I have the installed group 'Graphical Internet'. Not to pollute the description I have cut the output of the following command to a single package:

> yum group info Graphical\ Internet 
Loaded plugins: langpacks, refresh-packagekit

Group: Graphical Internet
 Group-Id: graphical-internet
 Description: This group includes graphical email, Web, and chat clients.
 Optional Packages:
   ...
   empathy
   ...

But when I try to remove this group, I get the following:

> yum group remove Graphical\ Internet
...
Removing:
 empathy  x86_64  3.10.2-2.fc20  installed  14 M
...

It appears like the package is within this group, but it doesn't have appropriate marker (=) in the output of `yum group info`.
The same goes for all other installed groups and packages.

Comment 1 Fedora End Of Life 2015-05-29 10:16:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 14:00:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.